Skip to Content
Cut.ProDocs
Live clipping: monitored channels

List clip IDs of a broadcast

Returns the IDs of every clip of a broadcast that matches the filters, in the same order as the clip list, without pagination. Use it to select clips for apply_template or delete. sort: rating (default), duration, title or created_at; order: desc (default) or asc.

Authorization

apiKey
headerX-Api-Key<token>

Path Parameters

id*string

Monitor id, from GET /monitors

Match^[0-9]{1,19}$
broadcastId*string

Broadcast id, from GET /monitors/{id}/broadcasts

Query Parameters

sort?string
Value in"rating""duration""title""created_at"
order?string
Value in"asc""desc"
min_rating?number

Only clips with rating at or above this value

Range0 <= value <= 10
max_rating?number

Only clips with rating at or below this value

Range0 <= value <= 10

Response Body

Response for status 200

application/json
  1. response
ids*array<string>
GET
/monitors/{id}/broadcasts/{broadcastId}/clips/ids
Example Request
curl -X GET 'https://api.cut.pro/api/v1/monitors/string/broadcasts/string/clips/ids'
Example Response
{  "ids": [    "string"  ]}